package ut

import (
	"fmt"
)

func StartTestSettle() {
	testSettleQuery()
	testSettleCommission()
	testSettleCommissionList()
}

func testSettleCreate() {
	createSettleParam := make(map[string]interface{})
	accountInfo := make(map[string]interface{})
	accountInfo["card_id"] = "6222021703001692221"
	accountInfo["card_name"] = "袁电茜"
	accountInfo["cert_id"] = "310109200006062491"
	accountInfo["cert_type"] = "00"
	accountInfo["tel_no"] = "18888888881"
	accountInfo["bank_code"] = "03060000"
	accountInfo["bank_acct_type"] = "2"
	accountInfo["card_id"] = "6222021703001692221"
	accountInfo["prov_code"] = "0031"
	accountInfo["area_code"] = "3100"

	createSettleParam["member_id"] = "user_00001"
	createSettleParam["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createSettleParam["channel"] = "bank_account"
	createSettleParam["account_info"] = accountInfo

	data, apiError, err := Adapay.SettleAccount().Create(createSettleParam, "yifuyun")

	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func testSettleQuery() {
	querySettleParam := make(map[string]interface{})
	// 数据先写死
	querySettleParam["settle_account_id"] = "0006425082755648"
	querySettleParam["member_id"] = "corp_1243432427"
	querySettleParam["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"

	data, apiError, err := Adapay.SettleAccount().Query(querySettleParam, "yifuyun")

	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func testSettleCommission() {
	settleParam := make(map[string]interface{})

	settleParam["order_no"] = "1579163031383"
	settleParam["payment_id"] = "002112020111717230410174704123849117696"
	settleParam["trans_amt"] = "0.01"

	data, apiError, err := Adapay.SettleAccount().Commission(settleParam, "yifuyun")

	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func testSettleCommissionList() {
	settleParam := make(map[string]interface{})

	settleParam["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	settleParam["status"] = "succeeded"
	settleParam["page_index"] = "1"
	settleParam["page_size"] = "10"
	settleParam["created_gte"] = "1571466657929"
	settleParam["created_lte"] = "1571898657929"

	data, apiError, err := Adapay.SettleAccount().CommissionList(settleParam, "yifuyun")

	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}
